Skip to main content
GET
/
users
/
{user_id}
/
daily_records
/
{type}
List daily records
curl --request GET \
  --url https://production.api.onvy.health/users/{user_id}/daily_records/{type} \
  --header 'X-API-Key: <api-key>'
{
  "records": [
    {
      "user_id": "<string>",
      "project_id": "<string>",
      "date": "2023-12-25",
      "name": "<string>",
      "type": "<string>",
      "value": 50,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "providers": [
        "GARMIN"
      ],
      "ref": "<string>"
    }
  ],
  "type": "scores",
  "date": "2023-12-25",
  "pagination": {
    "limit": 500,
    "total": 1,
    "page": "<string>",
    "next_page": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

user_id
string
required

User ID (e.g., google_104940819145861640201)

type
enum<string>
required

Record type (scores, zones, or logs)

Available options:
scores,
zones,
logs

Query Parameters

start
string<date>

Start date (YYYY-MM-DD)

end
string<date>

End date (YYYY-MM-DD)

names
string

Comma-separated list of record names to filter

Response

List of daily records

records
(DailyRecordScore · object | DailyRecordZone · object | DailyRecordHabitLog · object)[]
required
type
enum<string>
required
Available options:
scores,
zones,
logs
date
string<date>

Date for daily records (when querying by day)

pagination
Pagination · object